<?php

namespace Drupal\commerce_affirm\Event;

/**
 * Defines events for the commerce_affirm module.
 */
final class AffirmEvents {

  /**
   * Name of the event fired before sending the checkout object to Affirm.
   *
   * @Event
   *
   * @see \Drupal\commerce_affirm\Event\AffirmTransactionDataPreSend
   */
  const AFFIRM_TRANSACTION_DATA_PRESEND = 'commerce_affirm.transaction_data_presend';

  /**
   * Name of the event fired to permit altering of the Affirm locale.
   *
   * @Event
   *
   * @see \Drupal\commerce_affirm\Event\AffirmLocaleEvent
   */
  const AFFIRM_LOCALE = 'commerce_affirm.locale';

}
